Subject: Re: [MOBILE-IP] RFC2002bis comments

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 5 Jan 2000 11:21:48 -0800

Hello,

I am forwarding some comments from Alper Yegin to the list for
further clarification.  I'll put in my $.02, but in every case
I do not have any strong opinion one way or the other.

Alper Yegin wrote:

> [1]
>
> 3.4. Registration Reply
> ...
>    UDP fields:
>
>       Source Port           <variable>
>
>       Destination Port      Copied from the source port of the
>                             corresponding Registration Request
>                             (Section 3.7.1).
>
> Why source port is a variable, why not 434? Forcing it to be 434 would make it
> *possible* to recognize this packet as MIP signalling on the wire. How about
> even saying that MN should use port 434?

This seems like a perpetual unsolved design issue.  Some people
say that having the source port variable enables better multi-threaded
design.  Some say not.  I'll change it if people say to change it,
but I don't think it should be changed unless there is more support.

> [2]
>
> 3.1. Registration Overview
> ...
>    The registration messages defined in Sections 3.3 and 3.4 use the
>    User Datagram Protocol (UDP) [17].  A nonzero UDP checksum SHOULD be
>    included in the header, and MUST be checked by the recipient.
>
> ...and later:
>
> 3.7.2.1. Validity Checks
>
>    Registration Requests with an invalid, non-zero UDP checksum MUST be
>    silently discarded.
>
> It's not very clear if a UDP chekcsum 0 is accepted or not.

I agree it's not clear.  I can add text that clarifies it.
One possibility would be to let the foreign agent accept such
packets, and to let action by the mobile node and home agent be
defined by whatever is in the Mobility Security Association between
them.

> [3]
>
> 4.6. ARP, Proxy ARP, and Gratuitous ARP
> ...
>    Finally, while the
>    mobile node is away from home, it MUST NOT reply to ARP Requests
>    in which the target IP address is its own home address, unless the
>    ARP Request is sent by a foreign agent with which the mobile node
>    is attempting to register or a foreign agent with which the mobile
>    node has an unexpired registration.
>
> But we know that the FA MUST NOT send ARP. So, this is contradicting.

Which part should be changed?

> Alper Yegin
> Internet Engineering
> Sun Microsystems, Inc.

Regards,
Charlie P.

---

From: "Charles E. Perkins" <[email-masked]>
Date: Mon, 10 Jan 2000 10:15:39 -0800

Hello,

I am "following up" to my own notes of discussion regarding
some comments made by Alper Yegin.  I would like to issue
a new draft, so I made some provisional decisions that will
be detailed below.

I would like to reissue the draft before tomorrow afternoon,
so any timely comments would be appreciated.

For anyone who wishes to see the newly revised draft, I have put it
on my web page, at:
        http://www.iprg.nokia.com/~charliep/txt/mobileip/mobileip.txt
The document has appendices with a list of changes, and a list of
open issues that I know about.

> but I don't think it should be changed unless there is more support.

Current status: no change.

> defined by whatever is in the Mobility Security Association between

In the absence of further discussion, I inserted the following text:

     A zero UDP checksum SHOULD be accepted by the recipient.
     The behavior of the mobile node and the home agent with
     respect to their mutual acceptance of packets with zero
     UDP checksums SHOULD be defined as part of the mobility
     security association which exists between them.

> Which part should be changed?

I changed the word "sent" to "unicast".  This allows the foreign agent
to send ARPs as long as it is not broadcast.  I think this means even
not using any layer-2 multicast or broadcast address.

Help on this point will be appreciated.  I don't have time just now
to go through all the previous archived discussion on this point.

From some previous discussion, I have the following unresolved point:

> Q: new FA forwarding text; sometimes two MNs on the same FA sometimes get
>    traffic forwarded directly rather than via HA.  Also MNs can introduce
>    denial of service if they make a mistake in their registration
>    messages - sometimes re-registrations can be redirected at a MN!

Do I need to do anything here?

Regards,
Charlie P.